[![Infinispan](https://design.jboss.org/infinispan/logo/final/PNG/infinispan_logo_rgb_lightbluewhite_darkblue_600px.png)](https://infinispan.org/)

[![Version](https://img.shields.io/maven-central/v/org.infinispan/infinispan-core?logo=apache-maven&style=for-the-badge)](https://search.maven.org/artifact/org.infinispan/infinispan-core)
[![License](https://img.shields.io/github/license/quarkusio/quarkus?style=for-the-badge&logo=apache)](https://www.apache.org/licenses/LICENSE-2.0)
[![Project Chat](https://img.shields.io/badge/zulip-join_chat-brightgreen.svg?style=for-the-badge&logo=zulip)](https://infinispan.zulipchat.com/)

# Infinispan, In-Memory Distributed Data Store #

Infinispan is an open-source in-memory data grid that offers flexible deployment options and 
robust capabilities for storing, managing, and processing data. 

Infinispan provides a key/value data store that can hold all types of data, 
from Java objects to plain text. 

Infinispan distributes your data across elastically 
scalable clusters to guarantee high availability and fault tolerance,
whether you use Infinispan as a volatile cache or a persistent data store.


## Getting Started

* [Documentation](https://infinispan.org/)
* [5 Minutes Getting Started](https://infinispan.org/get-started/)
* [Simple Tutorials](https://github.com/infinispan/infinispan-simple-tutorials)

## Contributing

For contributing guidelines please refer to this [document](CONTRIBUTING.md). All contributions are subject to [Developer Certificate of Origin (DCO)](https://developercertificate.org/).

*The Infinispan project team*
